Qt 5.7 | Qt 3D | C++ Classes | QPropertyNodeAddedChange

Qt 5.7.1 Reference Documentation

# QPropertyNodeAddedChange Class

(Qt3DCore::QPropertyNodeAddedChange)

Used to notify when a node is added to a property More...

Header: | #include <QPropertyNodeAddedChange>
qmake: | QT += 3dcore
Inherits: | QStaticPropertyValueAddedChangeBase

- List of all members, including inherited members

## Public Functions

| QPropertyNodeAddedChange(QNodeId subjectId, QNode *node)
QNodeId | addedNodeId() const
const QMetaObject * | metaObject() const

- 2 public functions inherited from Qt3DCore::QStaticPropertyValueAddedChangeBase
- 4 public functions inherited from Qt3DCore::QSceneChange

## Related Non-Members

typedef | QPropertyNodeAddedChangePtr

## Detailed Description

Used to notify when a node is added to a property

## Member Function Documentation

### QPropertyNodeAddedChange::QPropertyNodeAddedChange(QNodeId subjectId, QNode *node)

Constructs a new QPropertyNodeAddedChange with subjectId, node.

### QNodeId QPropertyNodeAddedChange::addedNodeId() const

Returns the id of the node added to the property.

### const QMetaObject *QPropertyNodeAddedChange::metaObject() const

Returns the meta object of the node added to the property.

## Related Non-Members

### typedef Qt3DCore::QPropertyNodeAddedChangePtr

A shared pointer for QPropertyNodeAddedChange.